net.corda.core.contracts

## Class Timestamp

- net.corda.core.contracts.Timestamp

-     public class Timestamp

  If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timestamp(java.time.Instant after, java.time.Instant before)` If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).
    `Timestamp(java.time.Instant time, java.time.Duration tolerance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.time.Instant` | `component1()`
    `java.time.Instant` | `component2()`
    `Timestamp` | `copy(java.time.Instant after, java.time.Instant before)` If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).
    `boolean` | `equals(java.lang.Object p)`
    `java.time.Instant` | `getAfter()`
    `java.time.Instant` | `getBefore()`
    `java.time.Instant` | `getMidpoint()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Timestamp

          public Timestamp(java.time.Instant after,
                           java.time.Instant before)

      If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).

    - #### Timestamp

          public Timestamp(java.time.Instant time,
                           java.time.Duration tolerance)

  - ### Method Detail

    - #### getMidpoint

          public java.time.Instant getMidpoint()

    - #### getAfter

          public java.time.Instant getAfter()

    - #### getBefore

          public java.time.Instant getBefore()

    - #### component1

          public java.time.Instant component1()

    - #### component2

          public java.time.Instant component2()

    - #### copy

          public Timestamp copy(java.time.Instant after,
                                java.time.Instant before)

      If present in a transaction, contains a time that was verified by the uniqueness service. The true time must be between (after, before).

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)